<!DOCTYPE html>
<html>

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Course 365 - Learning with unlimited!</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <!-- Các file css và js tự định nghĩa thêm -->
    <link rel="stylesheet" href="style.css">
    <script src="script.js"></script>
    <style>

    </style>
</head>

<body>
    <!-- 1. Header - Navbar menu -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active" style="position:relative; left:250px">
                    <a class="nav-link" href="#">
                        <h5 class="text-primary">Weather App</h5>
                    </a>
                </li>

                <li class="nav-item active" style="position:relative; left:700px">
                    <a class="nav-link text-primary" href="#">Current</a>
                </li>

                <li class="nav-item active" style="position:relative; left:700px">
                    <a class="nav-link text-primary" href="Forecast.html">Forecast</a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- 2. Slide body -->
    <div class="container-fluid bg-primary" style="padding-top: 70px;">
        <div class="container " style="padding-bottom: 0%; min-height: 100px;padding-top: 25px;">
            <h3 class="text-white text-center">Get Current Weather Information</h3>
        </div>
    </div><br>

    <!-- 3. Courses content -->
    <div class="container-fluid">

        <div class="container" style="height: 500px;">
            <div class="row">
                <div class="col-sm-12 text-center">
                    <label class="text-info">Enter City Name</label>
                </div>
            </div>
            <div class="row">
                <div style="margin: 0 auto">
                    <div class="row">
                        <div class="col-sm-6">
                            <input placeholder="Enter city name" class="form-control" style="width: 150px;"
                                id="inp-city">
                        </div>
                        <div class="col-sm-6">
                            <button class="btn btn-info" id="btn-search">Search City</button>
                        </div>
                    </div>
                </div>
            </div><br><br>

            <div class="row" id="display" style="display: none;">
                <div style="margin: 0 auto">
                    <div class="col-sm-4 text-center mx-auto my-0 jumbotron bg-primary text-white" style="min-height: 300px; min-width: 500px;"
                    >
                    <h5 id="title"></h5><br><br>
                    <p id="content" class="text-left"></p>
                </div>
                

                </div>
            </div>
        </div>

    </div><br><br><br>
    <!-- 4. Footer -->
    <div class="container-fluid bg-primary fixed-bottom">
        <div class="container" style="height: 30px;">
            <div class="row text-center">
                <div class="col-sm-12" style="font-size: 84%;padding-top: 5px;">
                    Copyright<i class="far fa-copyright"></i>&nbsp;Weather App
                </div>
            </div>
        </div>
    </div>
    <br><br>
</body>
<script>
    $(document).on("click", "#btn-search", function () {
        onBtnSearchClick();
    });

    function onBtnSearchClick() {
        var city = {
            name: ""
        };
        getCityName(city);
        var vValidate = validateData(city);
        if (vValidate) {
            getCurrentWeather(city);
        }
    }

    function getCityName(paramCity) {
        paramCity.name = $("#inp-city").val().trim();
    }

    function validateData(paramCity) {
        if (paramCity.name == "") {
            alert("vui lòng nhập city");
            return false;
        }
        return true;
    }

    function getCurrentWeather(paramCity) {
        $.ajax({
            url: 'http://api.openweathermap.org/data/2.5/weather?q=' + paramCity.name + "&units=metric" +
                "&APPID=c10bb3bd22f90d636baa008b1529ee25",
            type: "GET",
            dataType: "json",
            success: function (data) {
                displayData(data);
            }

        });
    }

    function displayData(data) {
        $("#title").html(`Current Weather for: ` + data.name + `, ` + data.sys.country);
        $("#content").html(`Weather: ` + data.weather[0].main + `<br>` + 
        `Description:` + `<img src ='http://openweathermap.org/img/w/${data.weather[0].icon}.png' >` + ` ` +  data.weather[0].description + `<br>` + 
        `Temperature: ` + data.main.temp + `<br>` + 
        `Pressure: ` + data.main.pressure + `<br>` + 
        `Humidity: ` + data.main.humidity + `<br>` + 
        `Min Temperature: ` + data.main.temp_min + `<br>` + 
        `Max Temperature: ` + data.main.temp_max + `<br>` + 
        `Wind Speed: ` + data.wind.speed + `<br>` + 
        `Wind Direction: ` + data.wind.deg)

        $("#display").show();
    }
</script>

</html>